Delete one site by name.

DELETE /users/site/name/{name}

Operation id: SiteService_DeleteSite

Description

This is an extension of DeleteWorkspace and DeleteThings.

Permission Level: Read-Write

Tags: SiteService

Parameters

Path parameters

NameTypeRequiredDescription
namestringYesName of the site, Required = true

Query parameters

NameTypeRequiredDescription
tenantIdstringNoTenantId of the site. Required: false (False as this can be inferred from the token)

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

{
  "type": "object",
  "properties": {}
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}